It's all about the answers!

Ask a question

CLM 4.0.1: tomcat/derby:startup:FrameworkManager: An error event has occurred involving the bundle "com.ibm.ccl.soa.deploy.portlet.ui_1.0.200.v20120119_1919 [1940]"


Frank Ning (50024113131) | asked Mar 28 '13, 6:40 p.m.

Hello,

When I started tomcat for CLM4.0.1, I noticed the following exception/error. How would I know the real issue behind it and fix it?

(Windows 7 or 2K8, CLM 4.0.1, Tomcat and Derby)

[ERROR] 2013-03-28 18:35:33.731 - FrameworkManager: An error event has occurred
involving the bundle "com.ibm.ccl.soa.deploy.portlet.ui_1.0.200.v20120119_1919 [
1940]".
org.osgi.framework.BundleException: The activator Activator for bundle com.ibm.c
cl.soa.deploy.portlet.ui is invalid
        at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleAct
ivator(AbstractBundle.java:156)

        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(Bund
leContextImpl.java:751)
        at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(Bundl
eHost.java:370)
        at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(Abstra
ctBundle.java:374)
        at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Frame
work.java:1067)
        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBund
les(StartLevelManager.java:561)
        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBund
les(StartLevelManager.java:546)
        at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(St
artLevelManager.java:459)
        at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStart
Level(StartLevelManager.java:243)

...


Comments
Mark Chassy commented Apr 10 '13, 8:28 a.m.

Same problem here with version 4.0.3.

Strange thing is that the server was working for a day and a half and then just failed.
When I tried starting the server up again, I got the above error.
Now I can't get it running again.
 


Marek Siekierski commented Apr 18 '13, 7:34 p.m.

Any errors in the catalina.log or jts.log?


Bo Chulindra commented Apr 19 '13, 2:59 p.m.
JAZZ DEVELOPER

I found a few work items that mention this error message, however they seem to all have DM installed. Do you?

Also, see https://jazz.net/forum/questions/76450/using-alternative-port-when-installing-dm-40-rc2.


Bo Chulindra commented Apr 19 '13, 3:03 p.m.
JAZZ DEVELOPER

Monika Gupta commented May 24 '13, 1:49 a.m.

@Mark

I am also facing similar issue with CLM 4.0.2. could you get it working?

2 answers



permanent link
Karl Weinert (2.0k52736) | answered Apr 18 '13, 8:11 p.m.
JAZZ DEVELOPER
Do you happen to have a firewall blocking the port you are using?

permanent link
Michael Plautz (26711) | answered Dec 22 '16, 10:31 p.m.
I had the exact same issue getting this exception when starting Jazz, and it seemed to be related to an error I was getting when just trying to set Jazz up the first time, as displayed by @RalphSchoon on his blog in this article https://rsjazz.wordpress.com/2013/12/02/beware-of-the-underscore/. Along with what @KarlWeinert said, I had a firewall enabled, and this completely went away when I disabled the firewall then started up the server again. Of course, I'd like my firewall to be on, so I'd like to know which ports exactly it needed to use.

Your answer


Register or to post your answer.